Browse Profile Locations
curl --request GET \
--url https://api.{tenant}.getomneo.com/api/v3/profiles/{profile}/locationsimport requests
url = "https://api.{tenant}.getomneo.com/api/v3/profiles/{profile}/locations"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.{tenant}.getomneo.com/api/v3/profiles/{profile}/locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"location_id": 123,
"profile_id": "<string>",
"assignment_type": "<string>",
"role_type": "<string>",
"is_default": true,
"is_active": true,
"starts_at": "<string>",
"ends_at": "<string>",
"external_id": "<string>",
"profile_external_id": "<string>",
"sort_order": 123,
"notes": "<string>",
"meta": [
"<unknown>"
],
"excluded_service_handles": [
"<unknown>"
],
"location": {
"id": "<string>",
"name": "<string>",
"handle": "<string>"
},
"profile": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>"
},
"created_at": "<string>",
"updated_at": "<string>",
"deleted_at": "<string>"
}
],
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"meta": {
"current_page": 2,
"from": 2,
"last_page": 2,
"links": [
{
"url": "<string>",
"label": "<string>",
"active": true
}
],
"path": "<string>",
"per_page": 1,
"to": 2,
"total": 1
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Location Profile
Browse Profile Locations
A GET to the /profiles/{profileId}/locations endpoint allows your application to retrieve all location assignments for a profile.
GET
/
v3
/
profiles
/
{profile}
/
locations
Browse Profile Locations
Path Parameters
The profile ID
Query Parameters
Available options:
staff, manager, profile Required range:
1 <= x <= 100⌘I